### Enumeration

# Qmi WdsVerboseCallEndReasonType

since: 1.0

#### Declaration

    enum Qmi.WdsVerboseCallEndReasonType

#### Description [src]

Type of verbose call end reason.

Available since: 1.0

#### Members

`QMI_WDS_VERBOSE_CALL_END_REASON_TYPE_MIP`

  Mobile IP.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_TYPE_INTERNAL`

  Internal.

  - Value: `2`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_TYPE_CM`

  Call manager.

  - Value: `3`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_TYPE_3GPP`

  3GPP.

  - Value: `6`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_TYPE_PPP`

  PPP.

  - Value: `7`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_TYPE_EHRPD`

  EHRPD.

  - Value: `8`
  - Available since: 1.0
`QMI_WDS_VERBOSE_CALL_END_REASON_TYPE_IPV6`

  IPv6.

  - Value: `9`
  - Available since: 1.0

#### Type functions

###### qmi_wds_verbose_call_end_reason_type_get_string

Gets the nickname string for the `QmiWdsVerboseCallEndReasonType` specified at `val`.

since: 1.0